Bug 187697 - Review Request: zasx - Asteroid like game with powerups
Review Request: zasx - Asteroid like game with powerups
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-02 17:17 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 16:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-04-02 17:17:29 EDT
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/zasx.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/zasx-1.30-1.src.rpm
Description:
Shoot the asteroids before they hit your ship and collect power ups to restore
your shields and improve your weapons. The game features single and dualplayer
mode, joystick, music and sound.
Comment 1 Christopher Stone 2006-04-02 22:50:45 EDT
- rpmlint output:
W: zasx invalid-license GPL and freely distributable content
W: zasx invalid-license GPL and freely distributable content
W: zasx-debuginfo invalid-license GPL and freely distributable content

readme.txt says sound effects are under Giftware license which is what allegro
uses so I guess that is permissable.  Other license restrictions mentioned are met.

OKAY

-package naming guidelines OKAY
-specfile name matches base package name OKAY
-package meets guidelines OKAY
-package license OKAY (see above)
-License field matches license 

Perhaps you should mention Giftware license in License tag

-license text included in %doc OKAY
-spec file in english OKAY
-spec file legible OKAY
-md5sums match
8706050ad5e54b673c2e2a987c581d67  zasx130s.zip
-successfully compiles and builds on x86_64 FC5 OKAY
-package contains no unnecessary BR OKAY
-all build dependencies are met in BR OKAY
-no locales OKAY
-package does not conain libraries OKAY
-package is not relocatable OKAY
-package does not create directories OKAY
-package does not conatin duplicate files OKAY
-permissions on files set correctly OKAY
-%clean removes buildroot OKAY
-spec file has consistant use of macros OKAY
-package contains permissible content OKAY
-package documentation is not large enough to warrent a -docs package OKAY
-files in %doc do not affect runtime OKAY
-package does not contain anything that should go in -devel OKAY
-package includes .desktop entry which meet guidelines OKAY
-package does not own files or directories owned by other packages OKAY

Everything looks good, except perhaps you should mention Giftware in the License
field.

I'd assign myself to this bug and move it to FE-REVIEW, but I still can't do
that. :(
Comment 2 Hans de Goede 2006-04-03 01:38:51 EDT
Thanks for the review.

(In reply to comment #1)
> -License field matches license 
> 
> Perhaps you should mention Giftware license in License tag
> 

I don't want to clutter up the License field any more then I already had to,
but if that is what it takes for you to approve it I'll add it :)

> Everything looks good, except perhaps you should mention Giftware in the License
> field.
> 
See above.

> I'd assign myself to this bug and move it to FE-REVIEW, but I still can't do
> that. :(
I believe you can change the blocker bugs, or .... ?
Anyways setting blocking to FE-REVIEW and assigning to you.

Comment 3 Christopher Stone 2006-04-03 04:13:54 EDT
Giftware in license isn't a blocker so I'll leave it up to your discretion.

**APPROVED**
Comment 4 Hans de Goede 2006-04-03 16:27:44 EDT
Thanks, imported & build.

Note You need to log in before you can comment on or make changes to this bug.